NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Weld.CharacteristicsBuilder Class Reference

This builder allows you to define the attribute values to be set on the output of the weld feature. More...

Inheritance diagram for NXOpen.Weld.CharacteristicsBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  Type {
  None, FilletFeature = 24, GrooveFeature, ResistanceSpotFeature,
  ArcSpotFeature, ClinchFeature, DollopFeature, WeldNutFeature,
  WeldStudFeature, Custom1PointFeature, Custom2PointFeature, Custom3PointFeature,
  Custom4PointFeature, Custom5PointFeature, DatumSurfaceFeature, DatumPinFeature,
  DatumCustom1Feature, DatumCustom2Feature, DatumCustom3Feature, MeasurementSurfaceFeature,
  MeasurementHoleFeature, MeasurementSlotFeature, MeasurementStudFeature, MeasurementTrimFeature,
  MeasurementHemFeature, MeasurementCustom1Feature, MeasurementCustom2Feature, MeasurementCustom3Feature,
  UserDefinedFeature, SealerFillFeature, SealerBeadFeature, JointFeature,
  PlugSlotFeature, ShipHull = 57, ShipDeck, ShipTransverseBulkhead,
  ShipLongitudinalBulkhead, ShipGenericPlate, ShipStiffener, ShipEdgeReinforcement,
  ShipSeam, DatumSurfaceCustom0, DatumSurfaceCustom1, DatumSurfaceCustom2,
  DatumSurfaceCustom3, DatumSurfaceCustom4, DatumSurfaceCustom5, DatumSurfaceCustom6,
  DatumSurfaceCustom7, DatumPinCustom0, DatumPinCustom1, DatumPinCustom2,
  DatumPinCustom3, DatumPinCustom4, DatumPinCustom5, DatumPinCustom6,
  DatumPinCustom7, SurfaceWeld, ShipProfileCutOut, JointmarkFeature,
  ShipStandardPart, PointMarkResistanceSpot, PointMarkArcSpot, PointMarkDollop,
  PointMarkClinch, PointMarkWeldNut, PointMarkWeldStud, PointMarkCustom1,
  PointMarkCustom2, PointMarkCustom3, PointMarkCustom4, PointMarkCustom5,
  ShipBracket, ShipCollarPlate
}
 The custom type of the datum specified for creation. More...
 

Public Member Functions

unsafe
NXOpen.Weld.CharacteristicsSelectionBuilder 
CreateSelectionSet (int weldType, NXOpen.NXObject data)
 Create a new selection set and add it to the list. More...
 
unsafe
NXOpen.Weld.CharacteristicsSelectionBuilder 
CreateSelectionSet (NXOpen.Weld.CharacteristicsBuilder.Type charxType, NXOpen.NXObject data)
 Create a new selection set and add it to the list. More...
 
unsafe void ApplyAttributes (NXOpen.NXObject[] objects)
 Apply the selected attributes to the objects. More...
 
unsafe void RemoveInheritedAttributes ()
 Remove any attributes that are inherited from other objects (for example, edges). More...
 
unsafe void RemoveAllAttributes (NXOpen.NXObject[] objects)
 Remove all attributes from the objects. More...
 
unsafe void ApplyAttributesToSelected ()
 Apply the selected attributes to the objects that were selected. More...
 
unsafe void InheritAttributesFromObject (NXOpen.NXObject @object)
 Inherit the attributes that are on the object to the selection. More...
 
unsafe void CopyAttributesFromObject (NXOpen.NXObject @object)
 Copy the attributes that are on the object to the selection. More...
 
unsafe void CopyNonActiveAttributesFromObject (NXOpen.NXObject @object)
 Copy the non active attributes that are on the object to the selection. More...
 
unsafe bool DoesObjectHaveAttributes (NXOpen.NXObject @object)
 Copy the attributes that are on the object to the selection and returns a flag indicating whether the object actually has attributes. More...
 
unsafe bool HasActiveValues ()
 Returns true if the characteristics builder has any active values. More...
 
unsafe bool AreAttributesDefault (int weldType)
 Returns true if the characteristics builder contains all attributes with default values. More...
 
unsafe bool AreAttributesDefault (NXOpen.Weld.CharacteristicsBuilder.Type charxType)
 Returns true if the characteristics builder contains all attributes with default values. More...
 
unsafe void ChangeFeatureType (int weldType)
 Change the type of feature defining the attributes. More...
 
unsafe void ChangeFeatureType (NXOpen.Weld.CharacteristicsBuilder.Type charxType)
 Change the type of feature defining the attributes. More...
 
unsafe void SetAllAttributesChanged ()
 Sets all attributes to be changed. More...
 
unsafe void SetAllAttributesChanged (bool status)
 Sets all attributes changed value to the status value. More...
 
unsafe void CopyAttributesFromObjectForPaint (NXOpen.NXObject objectTag)
 Copies the attributes that are on the object to the selection for paint. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe NXOpen.SelectNXObject InheritObject [get]
 Returns the selection object containing data that is used to define the attribute values. More...
 
unsafe
NXOpen.Weld.CharacteristicsValueBuilder 
Selected [get, set]
 Returns or sets the selected characteristic value. More...
 
unsafe NXOpen.NXObjectList SelectionList [get]
 Returns the list of potential attributes and objects selected for this weld feature. More...
 

Detailed Description

This builder allows you to define the attribute values to be set on the output of the weld feature.

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateCharacteristicsBuilder

Created in NX7.5.0

Member Enumeration Documentation

The custom type of the datum specified for creation.

Enumerator
None 
FilletFeature 
GrooveFeature 
ResistanceSpotFeature 
ArcSpotFeature 
ClinchFeature 
DollopFeature 
WeldNutFeature 
WeldStudFeature 
Custom1PointFeature 
Custom2PointFeature 
Custom3PointFeature 
Custom4PointFeature 
Custom5PointFeature 
DatumSurfaceFeature 
DatumPinFeature 
DatumCustom1Feature 
DatumCustom2Feature 
DatumCustom3Feature 
MeasurementSurfaceFeature 
MeasurementHoleFeature 
MeasurementSlotFeature 
MeasurementStudFeature 
MeasurementTrimFeature 
MeasurementHemFeature 
MeasurementCustom1Feature 
MeasurementCustom2Feature 
MeasurementCustom3Feature 
UserDefinedFeature 
SealerFillFeature 
SealerBeadFeature 
JointFeature 
PlugSlotFeature 
ShipHull 
ShipDeck 
ShipTransverseBulkhead 
ShipLongitudinalBulkhead 
ShipGenericPlate 
ShipStiffener 
ShipEdgeReinforcement 
ShipSeam 
DatumSurfaceCustom0 
DatumSurfaceCustom1 
DatumSurfaceCustom2 
DatumSurfaceCustom3 
DatumSurfaceCustom4 
DatumSurfaceCustom5 
DatumSurfaceCustom6 
DatumSurfaceCustom7 
DatumPinCustom0 
DatumPinCustom1 
DatumPinCustom2 
DatumPinCustom3 
DatumPinCustom4 
DatumPinCustom5 
DatumPinCustom6 
DatumPinCustom7 
SurfaceWeld 
ShipProfileCutOut 
JointmarkFeature 
ShipStandardPart 
PointMarkResistanceSpot 
PointMarkArcSpot 
PointMarkDollop 
PointMarkClinch 
PointMarkWeldNut 
PointMarkWeldStud 
PointMarkCustom1 
PointMarkCustom2 
PointMarkCustom3 
PointMarkCustom4 
PointMarkCustom5 
ShipBracket 
ShipCollarPlate 

Member Function Documentation

unsafe void NXOpen.Weld.CharacteristicsBuilder.ApplyAttributes ( NXOpen.NXObject[]  objects)

Apply the selected attributes to the objects.

Created in NX7.5.0

License requirements: None.

Parameters
objectsThe objects to apply the attributes to.
unsafe void NXOpen.Weld.CharacteristicsBuilder.ApplyAttributesToSelected ( )

Apply the selected attributes to the objects that were selected.

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Weld.CharacteristicsBuilder.AreAttributesDefault ( int  weldType)

Returns true if the characteristics builder contains all attributes with default values.

Created in NX8.0.0

Deprecated in NX9.0.0. Use overloaded function with enum instead.

License requirements: None.

Parameters
weldTypeThe type of welding feature being processed, see uf_weld_types.h.
Returns
unsafe bool NXOpen.Weld.CharacteristicsBuilder.AreAttributesDefault ( NXOpen.Weld.CharacteristicsBuilder.Type  charxType)

Returns true if the characteristics builder contains all attributes with default values.

Created in NX9.0.0

License requirements: None.

Parameters
charxTypeThe type of characteristics being processed
Returns
unsafe void NXOpen.Weld.CharacteristicsBuilder.ChangeFeatureType ( int  weldType)

Change the type of feature defining the attributes.

Note after calling this method, the WeldJA::CharacteristicsValueBuilder objects previously retrieved will be invalid. You need to reaccess them if you want to make any changes to them.

Created in NX7.5.0

Deprecated in NX9.0.0. Use overloaded function with enum instead.

License requirements: None.

Parameters
weldTypeThe type of welding feature being processed, see uf_weld_types.h.
unsafe void NXOpen.Weld.CharacteristicsBuilder.ChangeFeatureType ( NXOpen.Weld.CharacteristicsBuilder.Type  charxType)

Change the type of feature defining the attributes.

Note after calling this method, the WeldJA::CharacteristicsValueBuilder objects previously retrieved will be invalid. You need to reaccess them if you want to make any changes to them.

Created in NX9.0.0

License requirements: None.

Parameters
charxTypeThe type of characteristics being processed
unsafe void NXOpen.Weld.CharacteristicsBuilder.CopyAttributesFromObject ( NXOpen.NXObject object)

Copy the attributes that are on the object to the selection.

Created in NX8.0.0

License requirements: None.

Parameters
objectThe object from which to copy the attributes.
unsafe void NXOpen.Weld.CharacteristicsBuilder.CopyAttributesFromObjectForPaint ( NXOpen.NXObject  objectTag)

Copies the attributes that are on the object to the selection for paint.

Created in NX10.0.0

License requirements: None.

Parameters
objectTagThe object from which to copy the attributes.
unsafe void NXOpen.Weld.CharacteristicsBuilder.CopyNonActiveAttributesFromObject ( NXOpen.NXObject object)

Copy the non active attributes that are on the object to the selection.

Created in NX8.0.0

License requirements: None.

Parameters
objectThe object from which to copy the attributes.
unsafe NXOpen.Weld.CharacteristicsSelectionBuilder NXOpen.Weld.CharacteristicsBuilder.CreateSelectionSet ( int  weldType,
NXOpen.NXObject  data 
)

Create a new selection set and add it to the list.

Created in NX7.5.0

Deprecated in NX9.0.0. Use overloaded function with enum instead.

License requirements: None.

Parameters
weldTypeThe type of welding feature being processed, see uf_weld_types.h.
dataAn object to retrieve the current attribute settings.
Returns
unsafe NXOpen.Weld.CharacteristicsSelectionBuilder NXOpen.Weld.CharacteristicsBuilder.CreateSelectionSet ( NXOpen.Weld.CharacteristicsBuilder.Type  charxType,
NXOpen.NXObject  data 
)

Create a new selection set and add it to the list.

Created in NX9.0.0

License requirements: None.

Parameters
charxTypeThe type of characteristics being processed
dataAn object to retrieve the current attribute settings.
Returns
unsafe bool NXOpen.Weld.CharacteristicsBuilder.DoesObjectHaveAttributes ( NXOpen.NXObject object)

Copy the attributes that are on the object to the selection and returns a flag indicating whether the object actually has attributes.

Created in NX8.0.1

License requirements: None.

Parameters
objectThe object from which to copy the attributes.
Returns
unsafe bool NXOpen.Weld.CharacteristicsBuilder.HasActiveValues ( )

Returns true if the characteristics builder has any active values.

Created in NX8.0.0

License requirements: None.

Returns
unsafe void NXOpen.Weld.CharacteristicsBuilder.InheritAttributesFromObject ( NXOpen.NXObject object)

Inherit the attributes that are on the object to the selection.

Created in NX8.5.0

License requirements: None.

Parameters
objectThe object from which to inherit the attributes.
unsafe void NXOpen.Weld.CharacteristicsBuilder.RemoveAllAttributes ( NXOpen.NXObject[]  objects)

Remove all attributes from the objects.

Created in NX8.0.0

License requirements: None.

Parameters
objectsThe objects to remove the attributes from.
unsafe void NXOpen.Weld.CharacteristicsBuilder.RemoveInheritedAttributes ( )

Remove any attributes that are inherited from other objects (for example, edges).

These will be attributes that are not required and are not in a category.

Created in NX8.0.1

License requirements: None.

unsafe void NXOpen.Weld.CharacteristicsBuilder.SetAllAttributesChanged ( )

Sets all attributes to be changed.

Created in NX8.5.0

License requirements: None.

unsafe void NXOpen.Weld.CharacteristicsBuilder.SetAllAttributesChanged ( bool  status)

Sets all attributes changed value to the status value.

Created in NX9.0.0

License requirements: None.

Parameters
statusThe value to set changed value. true means attribute has been changed, false means attribute has not been changed

Property Documentation

unsafe NXOpen.SelectNXObject NXOpen.Weld.CharacteristicsBuilder.InheritObject
get

Returns the selection object containing data that is used to define the attribute values.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Weld.CharacteristicsValueBuilder NXOpen.Weld.CharacteristicsBuilder.Selected
getset

Returns or sets the selected characteristic value.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.NXObjectList NXOpen.Weld.CharacteristicsBuilder.SelectionList
get

Returns the list of potential attributes and objects selected for this weld feature.

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.